org.jboss.jca.core.connectionmanager.listener

## Enum ConnectionState

- java.lang.Object
- - java.lang.Enum<ConnectionState>
  - - org.jboss.jca.core.connectionmanager.listener.ConnectionState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionState>

      public enum ConnectionState
      extends java.lang.Enum<ConnectionState>

  Connection listener status flag. Connections can be in three state
  - NORMAL
  - DESTROY
  - DESTROYED
  Version:
    $Rev: $
  Author:
    Gurkan Erdogdu

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DESTROY` Destroy this connection
    `DESTROYED` Connection is destroyed
    `NORMAL` Normal state

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final ConnectionState NORMAL

      Normal state

    - #### DESTROY

          public static final ConnectionState DESTROY

      Destroy this connection

    - #### DESTROYED

          public static final ConnectionState DESTROYED

      Connection is destroyed

  - ### Method Detail

    - #### values

          public static ConnectionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionState c : ConnectionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)